Subject: OpenLDAP and Cygwin
From: "Kurt D. Zeilenga" <[email-masked]>
To: [email-masked]
Date: Sat, 05 Jun 1999 21:10:25 -0700

I just put together a quick port of OpenLDAP-devel to Cygwin B20.1 w/ EGCS 1.2.1.

I must say that things went fairly smooth.  I was able to success build our
primary client libraries and tools.  To build our servers and related tools
will require more much more work (pthreads and a database manager ie:
BerkeleyDB2 or GDBM).

I've put together a brief answer in our developer's FAQ on how to repeat
the port.  This is available at:  http://www.openldap.org/faq/index.cgi?file=145

Here are only two general issues (ie: they might apply to others), I dealt
with (list archives were a great help).   All in all, this port fairly
straight forward!

1) ./configure --disable-slapd (no server)
  checking for gcc... gcc
  checking whether the C compiler (gcc  ) works... yes
  checking whether the C compiler (gcc  ) is a cross-compiler... no
  checking whether we are using GNU C... yes
  checking whether gcc accepts -g... yes
  checking for ld used by GCC... no
  configure: error: no acceptable ld found in $PATH

  Adding --with-gnu-ld does help, but setting LD=ld does.

2) again...

no POSIX <regex.h>.   Downloaded regex-0.12.tar.gz from ftp.gnu.org,
built as library (-lgnuregex) and installed.  (BTW, no problems with
their configure script).

As noted previously on the lists, POSIX regex inclusion would be
nice.  To avoid licensing issues, I recommend installing Henry
Spencer version which is available under very unrestrictive terms.
(Once can easily snatch this from FreeBSD or elsewhere).

I look forward to experimenting with your next release when it becomes
available.  Keep up the good work!

	Kurt

--
Want to unsubscribe from this list?
Send a message to [email-masked]